# Uses of Interface
java.lang.classfile.ClassFile

Packages that use ClassFile
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassFile in java.lang.classfile

Methods in java.lang.classfile that return ClassFile
Modifier and Type
Method
Description
`static ClassFile`
ClassFile.`of()`
Returns a context with default options.
`static ClassFile`
ClassFile.`of(ClassFile.Option... options)`
Returns a context with options altered from the default.
`ClassFile`
ClassFile.`withOptions(ClassFile.Option... options)`
Returns a context with altered options from this context.